Package tigase.component.modules.impl

# Class DiscoveryModule

java.lang.Object
tigase.component.modules.AbstractModule
tigase.component.modules.impl.DiscoveryModule

All Implemented Interfaces:
  `Module`

Direct Known Subclasses:
  `DiscoveryMonitorModule`, `EventbusDiscoveryModule`

@Bean(name="disco", active=true) public class DiscoveryModule extends AbstractModule

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BasicComponent`
  `component`
  `static final String`
  `DISCO_INFO_XMLNS`
  `static final String`
  `DISCO_ITEMS_XMLNS`
  `static final String`
  `ID`

  ### Fields inherited from class tigase.component.modules.AbstractModule

  `eventBus, log, writer`

  ### Fields inherited from interface tigase.component.modules.Module

  `EMPTY_FEATURES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoveryModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdHocCommandModule`
  `getAdHocCommandModule()`
  `Set<String>`
  `getAvailableFeatures()`
  `Set<String>`
  `getAvailableFeatures(BareJID serviceJID, String node, BareJID senderJID)`
  `String[]`
  `getFeatures()`
  Returns XMPP features offered by module.
  `Criteria`
  `getModuleCriteria()`
  Returns critera used by Component to select module to handle incoming stanza.
  `List<Module>`
  `getModules()`
  `protected Packet`
  `prepareDiscoInfoReponse(Packet packet, JID jid, String node, JID senderJID)`
  Deprecated.
  `protected Packet`
  `prepareDiscoInfoResponse(Packet packet, JID jid, String node, JID senderJID)`
  `protected List<Element>`
  `prepareDiscoItems(JID jid, String node, JID senderJID, RSM rsm)`
  `void`
  `process(Packet packet)`
  Process incoming stanza.
  `protected void`
  `processAdHocCommandItems(Packet packet, JID jid, String node, JID senderJID)`
  `protected void`
  `processDiscoInfo(Packet packet, JID jid, String node, JID senderJID)`
  `protected void`
  `processDiscoItems(Packet packet, JID jid, String node, JID senderJID)`
  `void`
  `setAdHocCommandModule(AdHocCommandModule adHocCommandModule)`
  `void`
  `setModules(List<Module> modules)`

  ### Methods inherited from class tigase.component.modules.AbstractModule

  `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.modules.Module

  `canHandle`

- ## Field Details

  - ### DISCO_INFO_XMLNS

    public static final String DISCO_INFO_XMLNS
    See Also:
      - Constant Field Values

  - ### DISCO_ITEMS_XMLNS

    public static final String DISCO_ITEMS_XMLNS
    See Also:
      - Constant Field Values

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### component

    @Inject(bean="service") protected BasicComponent component

- ## Constructor Details

  - ### DiscoveryModule

    public DiscoveryModule()

- ## Method Details

  - ### getAdHocCommandModule

    public AdHocCommandModule getAdHocCommandModule()

  - ### setAdHocCommandModule

    public void setAdHocCommandModule(AdHocCommandModule adHocCommandModule)

  - ### getAvailableFeatures

    public Set<String> getAvailableFeatures(BareJID serviceJID, String node, BareJID senderJID)

  - ### getAvailableFeatures

    public Set<String> getAvailableFeatures()

  - ### getFeatures

    public String[] getFeatures()
    Description copied from interface: `Module`
    Returns XMPP features offered by module. Features will be returned by Service Discovery.
    Returns:
      array of features or `null`.

  - ### getModuleCriteria

    public Criteria getModuleCriteria()
    Description copied from interface: `Module`
    Returns critera used by Component to select module to handle incoming stanza.
    Returns:
      criteria of selecting module.

  - ### getModules

    public List<Module> getModules()

  - ### setModules

    public void setModules(List<Module> modules)

  - ### process

    public void process(Packet packet) throws ComponentException, TigaseStringprepException
    Description copied from interface: `Module`
    Process incoming stanza.
    Parameters:
      `packet` - received `stanza`.
    Throws:
      `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.
      `TigaseStringprepException` - if there was an error during stringprep processing.

  - ### processAdHocCommandItems

    protected void processAdHocCommandItems(Packet packet, JID jid, String node, JID senderJID) throws ComponentException, RepositoryException
    Throws:
      `ComponentException`
      `RepositoryException`

  - ### processDiscoInfo

    protected void processDiscoInfo(Packet packet, JID jid, String node, JID senderJID) throws ComponentException, RepositoryException
    Throws:
      `ComponentException`
      `RepositoryException`

  - ### prepareDiscoInfoReponse

    @Deprecated protected Packet prepareDiscoInfoReponse(Packet packet, JID jid, String node, JID senderJID)
    Deprecated.

  - ### prepareDiscoInfoResponse

    protected Packet prepareDiscoInfoResponse(Packet packet, JID jid, String node, JID senderJID)

  - ### prepareDiscoItems

    protected List<Element> prepareDiscoItems(JID jid, String node, JID senderJID, RSM rsm) throws ComponentException, RepositoryException
    Throws:
      `ComponentException`
      `RepositoryException`

  - ### processDiscoItems

    protected void processDiscoItems(Packet packet, JID jid, String node, JID senderJID) throws ComponentException, RepositoryException
    Throws:
      `ComponentException`
      `RepositoryException`